<?php
$dao = new DAO();

if (!empty($_GET["factivo"])) {
    $filas = $dao->consultar("SELECT * FROM Usuarios WHERE nombre LIKE '%" . $_GET["ftexto"] . "%' and ACTIVO = '" . $_GET["factivo"] . "'");
} else {
    $filas = $dao->consultar("SELECT * FROM Usuarios WHERE nombre LIKE '%" . $_GET["ftexto"] . "%'"); //' or 1=1 or '
    //$filas = $dao->consultar("SELECT * FROM Usuarios WHERE nombre LIKE '%" . $_GET["ftexto"] . "%' and idUsuario=148"); //' or 1=1 or '
     echo "SELECT * FROM Usuarios WHERE nombre LIKE '%" . $_GET["ftexto"] . "%' ";
}

?>
<table>
    <thead>
        <?php
        foreach ($filas[0] as $clave => $valor) {
        ?><th><?php echo $clave; ?></th> <?php
                                        }
                                            ?>
    </thead>
    <tbody>
        <tr>
            <?php
            for ($i = 0; $i < count($filas); $i++) {
                //echo $filas[$i]["nombre"] ."<br>"; //Mostrar nombre
                foreach ($filas[$i] as $clave => $valor) {

                    echo "<td>$valor</td>";
                }
            ?>
        </tr>
    <?php
            }
    ?>
    </tbody>
</table>
<?php



?>